# Integrate Spike with Uptime Robot

## Service and Integration

Make sure you have the service and integration already setup for Uptime Robot. Follow the link below on instructions of how to create integration and service

{% content-ref url="/pages/-Ln3rb4wLUFeI-OAPcmq" %}
[Create integration and service on our dashboard](/integrations-guideline/create-integration-and-service-on-dashboard.md)
{% endcontent-ref %}

## Use the webhook on Uptime Robot

Login to [Uptime Robot](https://uptimerobot.com/login) and navigate to Settings from the header.

Go to **settings > click Add Alert contact**

This is where you manage all the alerts for your monitors. Create as many alerts as you would like and you select which monitor's up and down will be alerted by identifying by name.

####

Select webhook from the drop-down menu.

![](/files/whBnMXpHBfGAjfJwyqX0)

***

Paste the Spike webhook URL in the **URL to Notify** field.

![](/files/7o2miYXxFnpATgeseG95)

Paste the following JSON in the **POST Value** field.

```
{   
    "monitorID": "*monitorID*",
    "monitorURL": "*monitorURL*",
    "monitorFriendlyName": "*monitorFriendlyName*",
    "alertType": "*alertType*",
    "alertTypeFriendlyName": "*alertTypeFriendlyName*",
    "alertDetails": "*alertDetails*",
    "alertDuration": "*alertDuration*",
    "alertDateTime": "*alertDateTime*",
    "sslExpiryDate": "*sslExpiryDate*",
    "sslExpiryDaysLeft": "*sslExpiryDaysLeft*"
}
```

After selecting the Webhook option, paste the webhook you copied earlier from the dashboard and hit **Create alert contact**

## Receive alerts

For your new or already existing monitors, follow these simple steps to send alerts to Spike.

![](/files/H2Togq7Izp4XCaIr4JiX)

Edit your monitors

![](/files/RFF7wqP9tmm3oxXAgPmY)

Identify your Spike integration by name and select it.

{% hint style="success" %}
This integration supports auto resolution.
{% endhint %}

**Hit save!**

## FAQ

1. **How many services and integrations can I create on Spike?**
   * Unlimited
2. **How many escalation policies can I have on Spike?**
   * Unlimited

At Spike, we are working hard to integrate with all the tools your business uses. We are on a mission to help **you** identify incidents/crashes/spikes before your customers do.

If you have any integration in mind and would like us to build it for you then contact us at [support@spike.sh.](mailto:support@spike.sh)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spike.sh/integrations-guideline/integrate-spike-with-uptime-robot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
